/*
 * Main.java
 *
 * Created on 15 de Setembro de 2005, 20:14
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package expbooleana;

/**
 *
 * @author 203620
 */
public class Main {
    
    /** Creates a new instance of Main */
    public Main() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        ExpressaoBoleana v1 = new VariavelBooleana(true);

        ExpressaoBoleana v2 = new VariavelBooleana();
        v2.setValue(true);
        
        ExpressaoBoleana c1 = new ConstanteBooleana(true);
        ExpressaoBoleana c2 = new ConstanteBooleana(false);
        
        ExpressaoBoleana exp0 = new ExpressaoOr(v1, c2);

        ExpressaoBoleana exp1 = new ExpressaoOr(v2, c2);

        ExpressaoBoleana exp2 = new ExpressaoAnd(exp1, c1);
        
        System.out.println("Valor de " + exp4.toString() + " eŽ " + exp2.avaliar());
    }
}

